Bug 847303 (CVE-2012-3481) - CVE-2012-3481 Gimp (GIF plug-in): Heap-based buffer overflow by loading certain GIF images
Summary: CVE-2012-3481 Gimp (GIF plug-in): Heap-based buffer overflow by loading certa...
Keywords:
Status: NEW
Alias: CVE-2012-3481
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 848393 848394 848395 848396 849637
Blocks: 714114 847244
TreeView+ depends on / blocked
 
Reported: 2012-08-10 13:52 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Proposed patch by Nils Philippsen for various (currently used) Gimp branches (2.06 KB, application/x-tar)
2012-08-16 17:08 UTC, Jan Lieskovsky
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1180 normal SHIPPED_LIVE Moderate: gimp security update 2012-08-20 17:33:03 UTC
Red Hat Product Errata RHSA-2012:1181 normal SHIPPED_LIVE Moderate: gimp security update 2012-08-20 17:44:07 UTC

Description Jan Lieskovsky 2012-08-10 13:52:24 UTC
Integer overflow, leading to heap-based buffer overflow flaw was found in the GIMP's GIF (Graphics Interchange Format) image file plug-in. An attacker could create a specially-crafted GIF image file that, when opened, could cause the GIF plug-in to crash or, potentially, execute arbitrary code with the privileges of the user running the GIMP.

Acknowledgements:

Red Hat would like to thank Matthias Weckbecker of the SUSE Security Team for reporting this issue.

Comment 2 Jan Lieskovsky 2012-08-14 10:09:24 UTC
The CVE identifier of CVE-2012-3481 has been assigned to this issue.

Comment 5 Jan Lieskovsky 2012-08-16 17:08:07 UTC
Created attachment 604980 [details]
Proposed patch by Nils Philippsen for various (currently used) Gimp branches

Comment 7 Jan Lieskovsky 2012-08-20 12:17:56 UTC
Created gimp tracking bugs for this issue

Affects: fedora-all [bug 849637]

Comment 8 errata-xmlrpc 2012-08-20 13:34:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1180 https://rhn.redhat.com/errata/RHSA-2012-1180.html

Comment 9 errata-xmlrpc 2012-08-20 13:45:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1181 https://rhn.redhat.com/errata/RHSA-2012-1181.html

Comment 10 Fedora Update System 2012-08-28 23:28:49 UTC
gimp-2.8.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-09-02 00:25:37 UTC
gimp-2.6.12-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-09-17 23:09:53 UTC
gimp-2.8.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.